просто не знаю

Главная Форумы Storage SAN, Disk & Tape просто не знаю

Просмотр 17 веток ответов
  • Автор
    Сообщения
    • #13562
      amir
      Участник

      Добрый день
      Подскажите пожалуста кому не сложно, какие необходимо произвести действия (желательно пошагово) для того чтоб обновить Controller firmware на DS4700? прочитал много статей и сложилось впечатление что эта модел схд очень проблемная, много возникает не предвиденых ситуций после выполнения данной операции. Я никогда не обнавлял прошивку на схд (обновлял только микрокод на p550 и p630), а мне поручили справиться с этим, просто по не знанию в этом вопросе немного неуверен в итоговом результате так как это банковская система и должна работать без простоев. вот как то так. буду рад если кто поможет.
      забыл сказать что железо я не видел поэтому на какие либо наводяшие вопросы ответить не смогу.
      прошивку нашел вот тут:
      http://www-947.ibm.com/support/entry/portal/sdd/Hardware/System_Storage/Disk_systems/Mid-range_disk_systems/DS4700_Express?brand=5000028&key=5329827&osKey=5365492#5365500

    • #13565
      Сергей
      Участник

      В двух словах не опишешь…
      Как-то так: проверяем что сейчас стоит на контроллере и на хостах. Проверяем надо ли будет менять драйвера мультпасинга на хостах. Если нет и надо ставить прошивку в пределах того же релиза – обновляем storage manager, controller fw, ESM fw.
      Если надо ставить прошивку следующего релиза (переходить с 6.хх на 7.хх) – без простоев не получится…
      Вообще операция простейшая, но неверное движение может принести много радости. 🙂

      Вобщем, варианта два: либо аккуратно читать ридми, либо заказать платный сервис (например в IBM).

    • #13568
      amir
      Участник

      2 вариант отпадает.
      думаю вопрос с простоем как нибудь можно будет уладить,что может повлиять на замену драйверов мультпасинга?
      можно по подробнее о движениях какие верные а каие не верные, если есть ссылка (я не нашел, может плохо искал)

    • #13570
      uxTuaHgp
      Участник

      А какие резоны для обновления на 7 версию?
      Вам остро необходимы тома свыше 2ТБ?

    • #13571
      byldozer
      Участник

      Я могу ответить – по словам IBM support, IBM не поддерживает 6-ую прошивку.
      Пока я не обновлю до 7-ки кейсы на поддержку не расматриваются.

    • #13572
      uxTuaHgp
      Участник

      о как.
      и давно это, интересно?
      У них вродеб были поддерживаемые и 6 и 7 разных уровней?

    • #13573
      byldozer
      Участник

      Не знаю кто и что поддерживает, но все ответы на проблемы с 6 прошивкой начинаются с рекомендации – обновить до последней версии 7-ки. Вот сейчас висит кейс – нужно менять контролер, но прошивка 6.60, пока не обновим до 7.60 менять никто не будет. А заказчик в Хитропоповке :-), пока не решается на обновление

    • #13574
      uxTuaHgp
      Участник

      Было такое, однако после ответа о глюкавости 7-ок и вопроса, а каков уровень поддерживаемый для 6-ки, таки давали уровень 6-ки, который поддерживается.

    • #13576
      amir
      Участник

      я не говорил о 7 версии прошивки, мне просто нужна версия выше нынешней

    • #13602
      Сергей
      Участник

      Я могу ответить – по словам IBM support, IBM не поддерживает 6-ую прошивку.
      Пока я не обновлю до 7-ки кейсы на поддержку не расматриваются.

      ужос. просите показать документ, что прошивка стала “out of support”.
      Она еще на сайте раздается, поэтому говорить о том что она не поддерживается – нельзя. Не развивается – да. Не поддерживается – нет.
      Могут предложить преейти на 7.хх, если укажут конкретную проблему, что есть в старой, но нет в новой.
      Про незаказ детали на замену – тоже ужос. Даже машины с 6.23.хх прекрасно обслуживаются и детали меняются.

      Понятия “out of support” – не поддерживается – в ДСках нет (в отличие от SVC например). Поддерживается все, включая 5.хх и 4.хх 🙂

      я не говорил о 7 версии прошивки, мне просто нужна версия выше нынешней

      Наводящие вопросы:
      – какая сейчас стоит прошивка?
      – какой сейчас стоит storage manager?
      – какие хосты подключены (ос?), какие драйвера мультипасинга сейчас стоят?
      – до какой прошивки хотите обновляться?

    • #13603
      byldozer
      Участник

      Я озвучил нюансы работы с IBM RU, на личности переходить не буду 🙂 , но то что заявки с 6 прошивкой всегда проблемные – это факт.

    • #13604
      amir
      Участник

      уважаемый smk я писал в первом посте о том, что я не видел пока железо и о том, что на наводящие вопросы ответа дать не смогу. уж простите такая вот ситуация, сам понимаю что конкретный ответ может быть на коректный вопрос.

    • #13605
      Andriy
      Участник

      собственно в обновлении прошивки с 6-ки на 7-ку ничего космического нету. для проверки совместимости HBA, драйверов, прошивок и прочего есть замечательная ссылочка
      http://www-03.ibm.com/systems/support/storage/ssic/interoperability.wss
      про которую одмины почему-то частенько забывают (или забивают? 🙂 )

      по поводу “неподдержки 6-й версии микрокода” – ерунда на постном масле.

      https://www-304.ibm.com/support/docview.wss?uid=ssg1S1003714

      The minimum controller FW for any DS4700 is 07.60.40.00 or 06.60.34.00 with ESM FW 98D0 (EXP810), 9681 (EXP710) and 9565 (EXP100).

    • #13606
      amir
      Участник

      действительно замечательная ссылочка, спасибо

    • #13607
      byldozer
      Участник

      собственно в обновлении прошивки с 6-ки на 7-ку ничего космического нету. для проверки совместимости HBA, драйверов, прошивок и прочего есть замечательная ссылочка
      http://www-03.ibm.com/systems/support/storage/ssic/interoperability.wss
      про которую одмины почему-то частенько забывают (или забивают? 🙂 )

      Космического ничего нет, но неоднократно как во время так и после обновления возникали ошибки и эти ошибки могли привести к неработоспособности DS-ки или систем работающих с ней.

      по поводу “неподдержки 6-й версии микрокода” – ерунда на постном масле.

      https://www-304.ibm.com/support/docview.wss?uid=ssg1S1003714

      The minimum controller FW for any DS4700 is 07.60.40.00 or 06.60.34.00 with ESM FW 98D0 (EXP810), 9681 (EXP710) and 9565 (EXP100).

      Я бы не делал категорических заявлений, то что пишел IBM World и то что рекомендуется поддержкой Russia – не одно и тоже. Часто кейс нельзя передать на вторую линию если прошивка не последняя, а Вы говорите ерунда.
      Все просто пока Вы не пробуете это в жизни.

    • #13608
      Andriy
      Участник

      поддержка Russia зачастую сама не знает, что рекомендует. поэтому в общении с ней не нужно стесняться требовать подтверждения в виде “пруфлинков”, как сейчас модно говорить.
      не надо думать, что только Вы пробовали что-то в жизни или только Вы имеет опыт общения с поддержкой IBM Russia

    • #13609
      uxTuaHgp
      Участник

      Виктор,
      вот вам уже по крайней мере два человека говорят, что не нужно бездумно выполнять все рекомендации поддержки.
      Им проще рекомендовать последнюю 7-ку, причем, скорее всего, в случае обнаружения опасных багов в этой прошивке они ответственности никакой нести не будут – они действовали по регламенту.
      6 прошивки древние, не развиваются, но обкатанные.
      Если напрямую спросить у инженера, а какая прошивка именно из 6-х рекомендована – вам ответят.

    • #13610
      Сергей
      Участник

      уважаемый smk я писал в первом посте о том, что я не видел пока железо и о том, что на наводящие вопросы ответа дать не смогу. уж простите такая вот ситуация, сам понимаю что конкретный ответ может быть на коректный вопрос.

      ну тогда надо действовать по ситуации.
      Если стоит 6.хх – обновлять до последней 6.хх. Особых засад тут нет. Не забываем обновить SM до и ESM после. Если что-то еще понадобится (например, иногда требуется на виндовоз обновления поставить) — SM сам ругнется.

      Если стоит 6.хх а надо 7.хх — планируйте даунтайм. Без остановки ввода-вывода не делается.

      Если стоит ранняя 7.хх – возможны засады. Например, начиная с какой-то из 7.50 перестал поддерживаться RDAC на аиксе. Проверять по SSIC (ссылку Вам дали). Вдумчиво крутим SSIC, если изменений на хостах не требуется – ставим по той же схеме что и 6 – SM, CFW, ESM.

Просмотр 17 веток ответов
  • Для ответа в этой теме необходимо авторизоваться.